Bug 11576 - Untranslatable "manage" in serials-collection
Summary: Untranslatable "manage" in serials-collection
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 11637
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-17 07:09 UTC by paxed
Modified: 2015-12-03 22:02 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 11576: Make "manage" translatable - serials-collection (1.57 KB, patch)
2015-04-27 11:05 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 11576: Make "manage" translatable - serials-collection (1.67 KB, patch)
2015-05-06 17:03 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 11576: Make "manage" translatable - serials-collection (1.76 KB, patch)
2015-05-08 06:50 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2014-01-17 07:09:06 UTC
PrepareSerialsData() in C4/Serials.pm has a hard-coded "manage", which is shown to the user in serials-collection
Comment 1 Jonathan Druart 2015-04-24 09:04:01 UTC
Where is it displayed?
Comment 2 Katrin Fischer 2015-04-24 09:17:31 UTC
It displays only for irregular subscriptions on the serial collection page on the tab with the next issue (that has no date in that case).
Comment 3 Jonathan Druart 2015-04-27 11:05:58 UTC Comment hidden (obsolete)
Comment 4 Bernardo Gonzalez Kriegel 2015-05-06 17:03:36 UTC Comment hidden (obsolete)
Comment 5 Marcel de Rooy 2015-05-08 06:50:03 UTC
Created attachment 38965 [details] [review]
Bug 11576: Make "manage" translatable - serials-collection

If a subscription is irregular, a tab with "manage" is displayed on the
serial collection page.
But this string is not translatable.

Test plan:
1/ Go on the serial collection page of an irregular subscription (or
create one).
2/ Note that the first tab was named "managed", it's now "Manage".
3/ Update a po lang file and confirm you see the string and you are able
to translate it.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Work as described, no koha-qa errors

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Tomás Cohen Arazi 2015-05-14 14:55:24 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 7 Chris Cormack 2015-05-17 22:44:31 UTC
Pushed to 3.18.x will be in 3.18.7